Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#33188 - [qtractor] missing dependency

Attached to Project: Community Packages
Opened by Marcos Ferreira (M4rQu1Nh0S) - Monday, 24 December 2012, 02:23 GMT
Last edited by Ray Rashif (schivmeister) - Friday, 04 January 2013, 04:56 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Ray Rashif (schivmeister)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
the oficial package: qtractor, have with dependency the package jack. the bug is this: jack2 is required by qtractor but jack2 not listed with dependency!

Additional info:
* package version: 0.5.6

Steps to reproduce:
list jack2 package with one more dependency for qtractor package!

PS: sorry by my bad english!
This task depends upon

Closed by  Ray Rashif (schivmeister)
Friday, 04 January 2013, 04:56 GMT
Reason for closing:  Not a bug
Additional comments about closing:  Feel free to reopen.
Comment by Marcos Ferreira (M4rQu1Nh0S) - Monday, 24 December 2012, 02:46 GMT
libffado as dependency missing too
Comment by Karol Błażewicz (karol) - Monday, 24 December 2012, 02:58 GMT
libffado is an optional dependency for jack and jack2.
Comment by Marcos Ferreira (M4rQu1Nh0S) - Friday, 28 December 2012, 01:04 GMT
but, the package has been compiled and installed successfully after install jack2 with libffado.
and only the jack2 have the lib files why jack not have, and why the qtractor need to compile...
Comment by Ray Rashif (schivmeister) - Wednesday, 02 January 2013, 11:40 GMT
  • Field changed: Status (Assigned → Unconfirmed)
jack2 is required by qtractor how? You can only use one jack program - and that is either jack or jack2 (provides jack). Also, libffado is an optional dep of any jack program (to use firewire device). I don't see a bug here, but I will wait for your response in case I am missing something.

pacman -S qtractor
pacman -S jack2 (to replace jack)

edit: Our qtractor package is also not built against jack2 - it is built in a chroot so it pulls in only jack(1).
Comment by Marcos Ferreira (M4rQu1Nh0S) - Wednesday, 02 January 2013, 15:33 GMT
?
Now, I'm confused!

and repeating ... qtractor was only installed after installing the package libffado and jack2 package. The jack package no have some items and files what the qtractor need. the files and items is present only in the package jack2 ...

I can not help, why did not I took a screenshot of qtractor asking the missing files. and also do not remember the files that need qtractor...
Comment by Ray Rashif (schivmeister) - Thursday, 03 January 2013, 18:17 GMT
> The jack package no have some items and files what the qtractor need. the files and items is present only in the package jack2 ...

Could you tell us which files?

If it happened when running qtractor for the first time, please backup and remove ~/.config/rncbc.org/Qtractor.conf and then uninstall, reinstall the program and run it. Basically, just try to reproduce the problem step by step as far back as you can remember (install jack2, libffado exactly as you did then install qtractor).
Comment by Marcos Ferreira (M4rQu1Nh0S) - Thursday, 03 January 2013, 20:45 GMT
I can't! I can not remember.
I left because of the use qtractor ...

just know that qtractor in log message, tried but could not find some files. .so .po whatever.

I no longer have it, and found another software. if in case someone is having the same problem as me. the owner of the package, then yes, you may find the problem I'm reporting. Ok?

Loading...